## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-02-26
version: '2.1'

services: 
  jellyfin: 
    image: ghcr.io/linuxserver/jellyfin
    container_name: jellyfin
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#     - com.centurylinklabs.watchtower.enable=true
    environment:
     - PUID=1000 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
     - PGID=100 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
     - TZ=Europe/Paris
# Utiliser la commande suivant pour limiter l'usage de la RAM
#    mem_limit: 4096M
# Decommenter les 2 lignes suivantes pour activer le transcodage matériel iGPU( si NAS/serveur compatible )
#    devices:
#      - /dev/dri:/dev/dri
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    networks:
      - 'jellyfin_network' #si modification changer la ligne 45
    ports:
      - 8096:8096  # WebUI
    volumes: 
      - /volume1/docker/jellyfin/config:/config
      - /volume1/media/music:/data/music
      - /volume1/media/movies:/data/movies
      - /volume1/media/tvshow:/data/tvshow      
    restart: unless-stopped

  embystat:
    image: ghcr.io/linuxserver/embystat
    container_name: embystat
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - PUID=1000 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=100 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - TZ=Europe/Paris
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    networks:
      - 'jellyfin_network' #si modification de la ligne 23
    volumes:
      - /volume1/docker/embystat/config:/config
    ports:
      - 6555:6555  # WebUI
    restart: unless-stopped

networks:
  jellyfin_network:
    external:
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
      name: 'jellyfin_network' #si modification de la ligne 23 et 45
